BillingSubscriptionsOperations Class
BillingSubscriptionsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectBillingSubscriptionsOperations
Constructor
BillingSubscriptionsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_move |
Moves a subscription's charges to a new invoice section. The new invoice section must belong to the same billing profile as the existing invoice section. This operation is supported for billing accounts with agreement type Microsoft Customer Agreement. |
| get |
Gets a subscription by its ID. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement and Microsoft Partner Agreement. |
| list_by_billing_account |
Lists the subscriptions for a billing account. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement. |
| list_by_billing_profile |
Lists the subscriptions that are billed to a billing profile. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement. |
| list_by_customer |
Lists the subscriptions for a customer. The operation is supported only for billing accounts with agreement type Microsoft Partner Agreement. |
| list_by_invoice_section |
Lists the subscriptions that are billed to an invoice section. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| update |
Updates the properties of a billing subscription. Currently, cost center can be updated. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| validate_move |
Validates if a subscription's charges can be moved to a new invoice section. This operation is supported for billing accounts with agreement type Microsoft Customer Agreement. |
begin_move
Moves a subscription's charges to a new invoice section. The new invoice section must belong to the same billing profile as the existing invoice section. This operation is supported for billing accounts with agreement type Microsoft Customer Agreement.
begin_move(billing_account_name: str, parameters: _models.TransferBillingSubscriptionRequestProperties, **kwargs: Any) -> LROPoller[_models.BillingSubscription]
Parameters
- parameters
- TransferBillingSubscriptionRequestProperties
Request parameters that are provided to the move subscription operation.
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
Pass in True if you'd like the ARMPolling polling method, False for no polling, or your own initialized polling object for a personal polling strategy.
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either BillingSubscription or the result of cls(response)
Return type
Exceptions
get
Gets a subscription by its ID. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement and Microsoft Partner Agreement.
get(billing_account_name: str, **kwargs: Any) -> _models.BillingSubscription
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
BillingSubscription, or the result of cls(response)
Return type
Exceptions
list_by_billing_account
Lists the subscriptions for a billing account. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement.
list_by_billing_account(billing_account_name: str, **kwargs: Any) -> Iterable[_models.BillingSubscriptionsListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BillingSubscriptionsListResult or the result of cls(response)
Return type
Exceptions
list_by_billing_profile
Lists the subscriptions that are billed to a billing profile. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement.
list_by_billing_profile(billing_account_name: str, billing_profile_name: str, **kwargs: Any) -> Iterable[_models.BillingSubscriptionsListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BillingSubscriptionsListResult or the result of cls(response)
Return type
Exceptions
list_by_customer
Lists the subscriptions for a customer. The operation is supported only for billing accounts with agreement type Microsoft Partner Agreement.
list_by_customer(billing_account_name: str, customer_name: str, **kwargs: Any) -> Iterable[_models.BillingSubscriptionsListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BillingSubscriptionsListResult or the result of cls(response)
Return type
Exceptions
list_by_invoice_section
Lists the subscriptions that are billed to an invoice section. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
list_by_invoice_section(billing_account_name: str, billing_profile_name: str, invoice_section_name: str, **kwargs: Any) -> Iterable[_models.BillingSubscriptionsListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BillingSubscriptionsListResult or the result of cls(response)
Return type
Exceptions
update
Updates the properties of a billing subscription. Currently, cost center can be updated. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
update(billing_account_name: str, parameters: _models.BillingSubscription, **kwargs: Any) -> _models.BillingSubscription
Parameters
- parameters
- BillingSubscription
Request parameters that are provided to the update billing subscription operation.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
BillingSubscription, or the result of cls(response)
Return type
Exceptions
validate_move
Validates if a subscription's charges can be moved to a new invoice section. This operation is supported for billing accounts with agreement type Microsoft Customer Agreement.
validate_move(billing_account_name: str, parameters: _models.TransferBillingSubscriptionRequestProperties, **kwargs: Any) -> _models.ValidateSubscriptionTransferEligibilityResult
Parameters
- parameters
- TransferBillingSubscriptionRequestProperties
Request parameters that are provided to the validate move eligibility operation.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ValidateSubscriptionTransferEligibilityResult, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.billing.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\billing\\models\\__init__.py'>
Feedback
Submit and view feedback for